---
type: api
title: Set proxy settings
description: > WARNING
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-set-proxies-settings
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-set-proxies-settings
products:
  - Elastic Cloud Enterprise
---

# Set proxy settings

## Paths

- `PUT` `/platform/infrastructure/proxies/settings`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

## Description

> WARNING
> This endpoint is deprecated and scheduled to be removed in the next major version.

Overwrites the proxy settings. All unspecified fields are deleted.

## Query String Parameters

- `version` (string)
  If specified, checks for conflicts against the version of the settings (returned in 'x-cloud-resource-version' of the GET request)

## Request Body

`application/json`

The proxy settings to apply

- `expected_proxies_count` (integer) — required
  Expected number of proxies
- `signature_secret` (string) — required
  Secret string for signature generation
- `signature_valid_for_millis` (integer) — required
  Signature validity in milliseconds
- `http_settings` ({} ProxiesHttpSettings) — required
  > WARNING
> This object is deprecated and scheduled to be removed in the next major version.
  - `disconnected_cutoff` (integer) — required
    Cutoff interval after disconnection in milliseconds
  - `minimum_proxy_services` (integer) — required
    Minimum number of proxy instances
  - `sso_settings` ({} ProxiesSSOSettings) — required
    > WARNING
> This object is deprecated and scheduled to be removed in the next major version.
    - `max_age` (integer) — required
      Maximum age of single-sign-on token in milliseconds
    - `sso_secret` (string) — required
      Secret string for single-sign-on
    - `cookie_name` (string) — required
      Name of the HTTP cookie used for single-sign-on
    - `dont_log_requests` (boolean) — required
      If true, don't log requests
    - `default_redirect_path` (string) — required
      Default path where users are redirected after a successful single-sign-on
    - `maintenance_bypass_cookie_name` (string) — required
      Name of the cookie that bypasses maintenance
  - `dashboards_base_url` (string) — required
    Base URL for the dashboard
  - `cookie_secret` (string) — required
    Secret string for the HTTP cookie
  - `user_cookie_key` (string) — required
    User key for the HTTP cookie

## Responses

#### `200`

Returns the updated settings

`application/json`

- `expected_proxies_count` (integer)
  Expected number of proxies
- `signature_secret` (string)
  Secret string for signature generation
- `signature_valid_for_millis` (integer)
  Signature validity in milliseconds
- `http_settings` ({} ProxiesHttpSettings)
  > WARNING
> This object is deprecated and scheduled to be removed in the next major version.
  Same fields as `http_settings`
#### `409`

There is a version conflict. (code: `proxies.version_conflict`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
PUT /platform/infrastructure/proxies/settings
```

#### curl

```curl
curl -X PUT "/platform/infrastructure/proxies/settings"
```

